=== libjulius/libfvad/libfvad/debian/changelog ===
libfvad (0.0-0) UNRELEASED; urgency=low

  * Stub release

 -- s3rj1k <evasive.gyron@gmail.com>  Thu, 26 Jul 2018 12:50:00 +0200
